Im new and theres so many things about firmwares and jailbreaking i dont know how?

Discussion in 'iPod touch Firmware 2.X Jailbreak' started by LilBoom, Jul 23, 2008.

  1. LilBoom

    LilBoom New Member

    Joined:
    Jan 30, 2008
    Messages:
    143
    Likes Received:
    0
    theres so much about firmware and jailbreaking i dont even know where to begin or how to jail break i have decided that i am gonna jailbreak my itouch for the following reasons
    first theres a rumour saying that i will be able to have flash and watch flash videos on safari is this true?
    secondly i can play gba games snes games nes games and even ps games and DS games
    i can also add alot of other applications.

    my question is where do i start theres so much to do and it all depends on jailbreaking the thing is i have no idea what to do or how to do it and i dont even know my own firmware or what firmware i must degrade or upgrade to im at a total lost and i would really appreciate some help.. i also want to know about the most cool stuff you can do once your itouch is jail broken but im really concerned mostly about the games the flash player and having more desktop icons please help and thank you fellow itouch fans!
    ------------------double post merged------------------
    can someone please help?
  2. mlbplayer456

    mlbplayer456 Banned

    Joined:
    Nov 11, 2007
    Messages:
    978
    Likes Received:
    6
    Ok, well first what firmware are you in?

    settings>general>about

    1.1.1, 1.1.2, 1.1.3, 1.1.4 upgrade to 1.1.5 or 2.0 ($9.95)

    If you are on 1.1.5 download ziphone (jailbreak software) at http://ziphone.org (for mac and windows.

    Have your ipod plugged in and itunes closed, open ziphone and slide to unlock on your ipod touch. Click jailbreak and in about 1.5 minutes your ipod will be jailbroken.

    if you have 2.0 download winpwn at http://winpwn.com (windows)
    or for mac download pwnage at http://iphone-dev.org

    at winpwn.com there will be instructions as well as iphone-dev.org

    all the rumors are correct except for the ds games
  3. jchaike

    jchaike Active Member

    Joined:
    Dec 26, 2007
    Messages:
    1,260
    Likes Received:
    3
    Device:
    iPhone 4 (Black)
    Lol you have a lot to say, and I can answer everything to the best of my ability, anybody, feel free to correct me if i missed something:

    Okay, so flash is a rumor still, not announced, you cannot watch flash videos on safari without a special bookmark, which doenst always work. GBA SNES NES PS and DS.....DS is not made. GBA SNES and PS are for 1.1.4/3/2/1...NES is for all firmwares now.
    Yes, jailbreaking will allow you to add 3rd party applications, and even with the appstore, cydia (the application allowing you to download more apps) holds applications that the appstore wouldn't agree to hold (such as make it mine, or eventually customize)

    I suggest going to 1.1.4 if you mainly want free apps
    2.0 is awesome and stuff, with great new features, but the compatibility for jailbreak apps isnt too great, but you have the apple appstore where you can purchase games and such.

    also, just for future reference, the "desktop" of the ipod is refered to as the springboard =P
  4. LilBoom

    LilBoom New Member

    Joined:
    Jan 30, 2008
    Messages:
    143
    Likes Received:
    0
    how do i check what firmware i have??
  5. jchaike

    jchaike Active Member

    Joined:
    Dec 26, 2007
    Messages:
    1,260
    Likes Received:
    3
    Device:
    iPhone 4 (Black)
    Go on your iPod and go to Settings ->General->About-> then look for Version.
  6. LilBoom

    LilBoom New Member

    Joined:
    Jan 30, 2008
    Messages:
    143
    Likes Received:
    0
    so depending on the version depends on what jailbreak is available to me?
    ------------------double post merged------------------
    its not just the aps i want to play gba roms and snes roms like chrono trigger!
  7. Totally 1337

    Totally 1337 Active Member

    Joined:
    Mar 27, 2008
    Messages:
    3,966
    Likes Received:
    17
    Device:
    iPhone 4S (Black)
    yes pretty much. there are different programs for different FWs.......kinda. Well not really, its just some wont work with some FWs.
  8. jchaike

    jchaike Active Member

    Joined:
    Dec 26, 2007
    Messages:
    1,260
    Likes Received:
    3
    Device:
    iPhone 4 (Black)
    well no, no matter what firmware you are on u can always upgrade or downgrade to jailbreak.

    if you just want roms, then go for the 1.1.4 jailbreak.
    Now you have a couple of options, i wont say which i prefer, to stop arguments on what is better...
    you can use ziphone
    or you can use winpwn and make custom firmware

    but 2.0 is not for you, and neither is 1.1.1/2...3 is outdated, so you might as well go for the latest one that works with roms and such that you want, so 1.1.4.

    Goodluck
  9. LilBoom

    LilBoom New Member

    Joined:
    Jan 30, 2008
    Messages:
    143
    Likes Received:
    0
    im really more concerned about the games and apps but apps is still good!
  10. LilBoom

    LilBoom New Member

    Joined:
    Jan 30, 2008
    Messages:
    143
    Likes Received:
    0
    It Says I have Version 1.1.4 (4A102) what do i do now

Share This Page